org.eclipse.wst.jsdt.debug.core.model

## Interface IJavaScriptDebugTarget

    public interface IJavaScriptDebugTarget

Description of our debug target

Since:
  1.0
See Also:
  `ScriptReference`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List` `allScripts()` Returns the entire collection of `IScript`s currently known to the `VirtualMachine`.
`java.util.List` `allScriptsByName(java.lang.String name)` Returns all of the `IScript`s currently loaded in the `VirtualMachine` that have the matching name.
`IScriptGroup` `getScriptGroup()` Returns the singleton `IScriptGroup` for this target.

### Method Detail

#### allScripts

    java.util.List allScripts()

Returns the entire collection of `IScript`s currently known to the `VirtualMachine`.
This method cannot return `null`

Returns:
  the complete collection of `IScript`s from the `VirtualMachine` or an empty collection, never `null`

#### allScriptsByName

    java.util.List allScriptsByName(java.lang.String name)

Returns all of the `IScript`s currently loaded in the `VirtualMachine` that have the matching name.
This method cannot return `null`

Parameters:
  `name` -
Returns:
  the complete list of `IScript`s loaded in the `VirtualMachine` with the given name or an empty collection, never `null`

#### getScriptGroup

    IScriptGroup getScriptGroup()

Returns the singleton `IScriptGroup` for this target.
This method can return `null` if the target has been disconnected or terminated

Returns:
  the singleton `IScriptGroup` for this target